using System;
using Topshelf;

namespace XYY.Tool.QuotaReduction
{
    class Program
    {
        static void Main(string[] args)
        {
            HostFactory.Run(x =>
            {
                x.Service<ServiceRunner>();

                x.RunAsLocalSystem();

                x.SetDescription("定时任务程序");
                x.SetDisplayName("定时任务程序");
                x.SetServiceName("定时任务程序");

                x.EnablePauseAndContinue();
            });
        }
    }
}
